Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf
Class GenericRtfField

    java.lang.Object
      com.lowagie.text.Chunk
          com.lowagie.text.rtf.AbstractRtfField
              com.lowagie.text.rtf.GenericRtfField

All Implemented Interfaces:
  Element, RtfField

Direct Known Subclasses:
  RtfPageNumber

Deprecated. Please move to the RtfWriter2 and associated classes.

    public class GenericRtfField

extends AbstractRtfField

This class implements a generic RtfField. This class is based on the RtfWriter-package from Mark Hall. ONLY FOR USE WITH THE RtfWriter NOT with the RtfWriter2.

Since:
  Mon Aug 19 14:50:39 2002
Version:
  $Id: GenericRtfField.java 2655 2007-03-15 19:26:36Z xlv $
Author:
  Dirk Weigenand (Dirk.Weigenand@smb-tec.com)

Field Summary
`protected String` | `fieldInst` Deprecated. Field Initialization Stuff.
`protected String` | `fieldResult` Deprecated. Field Result Stuff.

Fields inherited from class com.lowagie.text.Chunk
`ACTION, attributes, BACKGROUND, COLOR, content, ENCODING, font, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TEXTRENDERMODE, UNDERLINE`

Fields inherited from interface com.lowagie.text.Element
`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`GenericRtfField(String fieldInst, String fieldResult)` Deprecated. public constructor, set the data that is to be written into the Field Initialization Stuff and Field Result parts of the RtfField.
`GenericRtfField(String fieldInst, String fieldResult, Font font)` Deprecated. public constructor, set the data that is to be written into the Field Initialization Stuff and Field Result parts of the RtfField.

Method Summary
`void` | `writeRtfFieldInitializationStuff(OutputStream out)` Deprecated. method for writing custom stuff to the Field Initialization Stuff part of an RtfField.
`void` | `writeRtfFieldResultStuff(OutputStream out)` Deprecated. method for writing custom stuff to the Field Result part of an RtfField.

Methods inherited from class com.lowagie.text.rtf.AbstractRtfField
`content, getContent, isAlt, isDirty, isLocked, isPrivate, setAlt, setDirty, setEdited, setLocked, setPrivate, wasEdited, write, writeRtfFieldBegin, writeRtfFieldEnd, writeRtfFieldInstBegin, writeRtfFieldInstEnd, writeRtfFieldModifiers, writeRtfFieldResultBegin, writeRtfFieldResultEnd`

Methods inherited from class com.lowagie.text.Chunk
`addToArray, append, font, getAttributes, getChunks, getFont, getHorizontalScaling, getImage, getKeySet, getTextRise, getWidthPoint, hasAttributes, isEmpty, process, setAction, setAnchor, setAnchor, setAnnotation, setAttributes, setBackground, setBackground, setFont, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, toString, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fieldInst

    protected String fieldInst

  Deprecated.
  Field Initialization Stuff.

### fieldResult

    protected String fieldResult

  Deprecated.
  Field Result Stuff.

Constructor Detail

### GenericRtfField

    public GenericRtfField(String fieldInst,
                           String fieldResult)

  Deprecated.
  public constructor, set the data that is to be written into the Field Initialization Stuff and Field Result parts of the RtfField.

  Parameters:
    `fieldInst` - data to be written into the Field Initialization Stuff part of the RtfField.
    `fieldResult` - data to be written into the Field Result part of the RtfField.

### GenericRtfField

    public GenericRtfField(String fieldInst,
                           String fieldResult,
                           Font font)

  Deprecated.
  public constructor, set the data that is to be written into the Field Initialization Stuff and Field Result parts of the RtfField.

  Parameters:
    `fieldInst` - data to be written into the Field Initialization Stuff part of the RtfField.
    `fieldResult` - data to be written into the Field Result part of the RtfField.
    `font` -

Method Detail

### writeRtfFieldInitializationStuff

    public void writeRtfFieldInitializationStuff(OutputStream out)
                                          throws IOException

  Deprecated.
  method for writing custom stuff to the Field Initialization Stuff part of an RtfField.

  Specified by:
    `writeRtfFieldInitializationStuff` in class `AbstractRtfField`
  Parameters:
    `out` -
  Throws:
    `IOException`

### writeRtfFieldResultStuff

    public void writeRtfFieldResultStuff(OutputStream out)
                                  throws IOException

  Deprecated.
  method for writing custom stuff to the Field Result part of an RtfField.

  Specified by:
    `writeRtfFieldResultStuff` in class `AbstractRtfField`
  Parameters:
    `out` -
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD